Index: src/plugins/compilergcc/compilerGNUAVR.cpp
===================================================================
--- src/plugins/compilergcc/compilerGNUAVR.cpp	(revision 4220)
+++ src/plugins/compilergcc/compilerGNUAVR.cpp	(working copy)
@@ -100,44 +100,98 @@
     m_Options.AddOption(_("Expensive optimizations"), _T("-fexpensive-optimizations"), category);
     // machine dependent options - cpu arch
     category = _("AVR CPU architecture specific");
-    m_Options.AddOption(_("avr1 (only assembler)"), _T("-mmcu=avr1"), category);
-    m_Options.AddOption(_("at90s1200 (only assembler)"), _T("-mmcu=at90s1200"), category);
-    m_Options.AddOption(_("attiny10 (only assembler)"), _T("-mmcu=attiny10"), category);
-    m_Options.AddOption(_("attiny11 (only assembler)"), _T("-mmcu=attiny11"), category);
-    m_Options.AddOption(_("attiny12 (only assembler)"), _T("-mmcu=attiny12"), category);
-    m_Options.AddOption(_("attiny15 (only assembler)"), _T("-mmcu=attiny15"), category);
-    m_Options.AddOption(_("attiny28 (only assembler)"), _T("-mmcu=attiny28"), category);
-    m_Options.AddOption(_("avr2"), _T("-mmcu=avr2"), category);
-    m_Options.AddOption(_("at90s2313"), _T("-mmcu=at90s2313"), category);
-    m_Options.AddOption(_("at90s2323"), _T("-mmcu=at90s2323"), category);
-    m_Options.AddOption(_("attiny22"), _T("-mmcu=attiny22"), category);
-    m_Options.AddOption(_("at90s2333"), _T("-mmcu=at90s2333"), category);
-    m_Options.AddOption(_("at90s2343"), _T("-mmcu=at90s2343"), category);
-    m_Options.AddOption(_("at90s4414"), _T("-mmcu=at90s4414"), category);
-    m_Options.AddOption(_("at90s4433"), _T("-mmcu=at90s4433"), category);
-    m_Options.AddOption(_("at90s4434"), _T("-mmcu=at90s4434"), category);
-    m_Options.AddOption(_("at90s8515"), _T("-mmcu=at90s8515"), category);
-    m_Options.AddOption(_("at90c8534"), _T("-mmcu=at90c8534"), category);
-    m_Options.AddOption(_("at90s8535"), _T("-mmcu=at90s8535"), category);
-    m_Options.AddOption(_("avr3"), _T("-mmcu=avr3"), category);
-    m_Options.AddOption(_("atmega103"), _T("-mmcu=atmega103"), category);
-    m_Options.AddOption(_("atmega603"), _T("-mmcu=atmega603"), category);
-    m_Options.AddOption(_("at43usb320"), _T("-mmcu=at43usb320"), category);
-    m_Options.AddOption(_("at76c711"), _T("-mmcu=at76c711"), category);
-    m_Options.AddOption(_("avr4"), _T("-mmcu=avr4"), category);
-    m_Options.AddOption(_("atmega8"), _T("-mmcu=atmega8"), category);
-    m_Options.AddOption(_("atmega83"), _T("-mmcu=atmega83"), category);
-    m_Options.AddOption(_("atmega85"), _T("-mmcu=atmega85"), category);
-    m_Options.AddOption(_("avr5"), _T("-mmcu=avr5"), category);
-    m_Options.AddOption(_("atmega16"), _T("-mmcu=atmega16"), category);
-    m_Options.AddOption(_("atmega161"), _T("-mmcu=atmega161"), category);
-    m_Options.AddOption(_("atmega163"), _T("-mmcu=atmega163"), category);
-    m_Options.AddOption(_("atmega32"), _T("-mmcu=atmega32"), category);
-    m_Options.AddOption(_("atmega323"), _T("-mmcu=atmega323"), category);
-    m_Options.AddOption(_("atmega64"), _T("-mmcu=atmega64"), category);
-    m_Options.AddOption(_("atmega128"), _T("-mmcu=atmega128"), category);
-    m_Options.AddOption(_("at43usb355"), _T("-mmcu=at43usb355"), category);
-    m_Options.AddOption(_("at94k"), _T("-mmcu=at94k"), category);
+    m_Options.AddOption(_("AVR 1 architecture (only assembler)"), _T("-mmcu=avr1"), category);
+    m_Options.AddOption(_("AT90S1200 (only assembler)"), _T("-mmcu=at90s1200"), category);
+    m_Options.AddOption(_("ATtiny11 (only assembler)"), _T("-mmcu=attiny11"), category);
+    m_Options.AddOption(_("ATtiny12 (only assembler)"), _T("-mmcu=attiny12"), category);
+    m_Options.AddOption(_("ATtiny15 (only assembler)"), _T("-mmcu=attiny15"), category);
+    m_Options.AddOption(_("ATtiny28 (only assembler)"), _T("-mmcu=attiny28"), category);
+    m_Options.AddOption(_("AVR 2 archtecture"), _T("-mmcu=avr2"), category);
+    m_Options.AddOption(_("AT90S2313"), _T("-mmcu=at90s2313"), category);
+    m_Options.AddOption(_("AT90S2323"), _T("-mmcu=at90s2323"), category);
+    m_Options.AddOption(_("AT90S2333"), _T("-mmcu=at90s2333"), category);
+    m_Options.AddOption(_("AT90S2343"), _T("-mmcu=at90s2343"), category);
+    m_Options.AddOption(_("ATtiny22"), _T("-mmcu=attiny22"), category);
+    m_Options.AddOption(_("ATtiny26"), _T("-mmcu=attiny26"), category);
+    m_Options.AddOption(_("AT90S4414"), _T("-mmcu=at90s4414"), category);
+    m_Options.AddOption(_("AT90S4433"), _T("-mmcu=at90s4433"), category);
+    m_Options.AddOption(_("AT90S4434"), _T("-mmcu=at90s4434"), category);
+    m_Options.AddOption(_("AT90S8515"), _T("-mmcu=at90s8515"), category);
+    m_Options.AddOption(_("AT90C8534"), _T("-mmcu=at90c8534"), category);
+    m_Options.AddOption(_("AT90s8535"), _T("-mmcu=at90s8535"), category);
+    m_Options.AddOption(_("AVR 2.5 architecture"), _T("-mmcu=avr25"), category);
+    m_Options.AddOption(_("ATtiny13"), _T("-mmcu=attiny13"), category);
+    m_Options.AddOption(_("ATtiny2313"), _T("-mmcu=attiny2313"), category);
+    m_Options.AddOption(_("ATtiny24"), _T("-mmcu=attiny24"), category);
+    m_Options.AddOption(_("ATtiny44"), _T("-mmcu=attiny44"), category);
+    m_Options.AddOption(_("ATtiny84"), _T("-mmcu=attiny84"), category);
+    m_Options.AddOption(_("ATtiny25"), _T("-mmcu=attiny25"), category);
+    m_Options.AddOption(_("ATtiny45"), _T("-mmcu=attiny45"), category);
+    m_Options.AddOption(_("ATtiny85"), _T("-mmcu=attiny85"), category);
+    m_Options.AddOption(_("ATtiny261"), _T("-mmcu=attiny261"), category);
+    m_Options.AddOption(_("ATtiny461"), _T("-mmcu=attiny461"), category);
+    m_Options.AddOption(_("ATtiny861"), _T("-mmcu=attiny861"), category);
+    m_Options.AddOption(_("AT86RF401"), _T("-mmcu=at86rf401"), category);
+    m_Options.AddOption(_("AVR 3 architecture"), _T("-mmcu=avr3"), category);
+    m_Options.AddOption(_("ATmega103"), _T("-mmcu=atmega103"), category);
+    m_Options.AddOption(_("ATmega603"), _T("-mmcu=atmega603"), category);
+    m_Options.AddOption(_("AT43USB320"), _T("-mmcu=at43usb320"), category);
+    m_Options.AddOption(_("AT43USB355"), _T("-mmcu=at43usb355"), category);
+    m_Options.AddOption(_("AT76C711"), _T("-mmcu=at76c711"), category);
+    m_Options.AddOption(_("AVR 4 architecture"), _T("-mmcu=avr4"), category);
+    m_Options.AddOption(_("ATmega8"), _T("-mmcu=atmega8"), category);
+    m_Options.AddOption(_("ATmega48"), _T("-mmcu=atmega48"), category);
+    m_Options.AddOption(_("ATmega88"), _T("-mmcu=atmega88"), category);
+    m_Options.AddOption(_("ATmega8515"), _T("-mmcu=atmega8515"), category);
+    m_Options.AddOption(_("ATmega8535"), _T("-mmcu=atmega8535"), category);
+    m_Options.AddOption(_("ATmega8HVA"), _T("-mmcu=atmega8hva"), category);
+    m_Options.AddOption(_("AT90PWM1"), _T("-mmcu=at90pwm1"), category);
+    m_Options.AddOption(_("AT90PWM2"), _T("-mmcu=at90pwm2"), category);
+    m_Options.AddOption(_("AT90PWM3"), _T("-mmcu=at90pwm3"), category);
+    m_Options.AddOption(_("AVR 5 architecture"), _T("-mmcu=avr5"), category);
+    m_Options.AddOption(_("ATmega16"), _T("-mmcu=atmega16"), category);
+    m_Options.AddOption(_("ATmega161"), _T("-mmcu=atmega161"), category);
+    m_Options.AddOption(_("ATmega163"), _T("-mmcu=atmega163"), category);
+    m_Options.AddOption(_("ATmega164P"), _T("-mmcu=atmega164p"), category);
+    m_Options.AddOption(_("ATmega165"), _T("-mmcu=atmega165"), category);
+    m_Options.AddOption(_("ATmega165P"), _T("-mmcu=atmega165p"), category);
+    m_Options.AddOption(_("ATmega168"), _T("-mmcu=atmega168"), category);
+    m_Options.AddOption(_("ATmega169"), _T("-mmcu=atmega169"), category);
+    m_Options.AddOption(_("ATmega169P"), _T("-mmcu=atmega169p"), category);
+    m_Options.AddOption(_("ATmega32"), _T("-mmcu=atmega32"), category);
+    m_Options.AddOption(_("ATmega323"), _T("-mmcu=atmega323"), category);
+    m_Options.AddOption(_("ATmega324P"), _T("-mmcu=atmega324p"), category);
+    m_Options.AddOption(_("ATmega325"), _T("-mmcu=atmega325"), category);
+    m_Options.AddOption(_("ATmega325P"), _T("-mmcu=atmega325p"), category);
+    m_Options.AddOption(_("ATmega3250"), _T("-mmcu=atmega3250"), category);
+    m_Options.AddOption(_("ATmega3250P"), _T("-mmcu=atmega3250p"), category);
+    m_Options.AddOption(_("ATmega329"), _T("-mmcu=atmega329"), category);
+    m_Options.AddOption(_("ATmega329P"), _T("-mmcu=atmega329p"), category);
+    m_Options.AddOption(_("ATmega3290"), _T("-mmcu=atmega3290"), category);
+    m_Options.AddOption(_("ATmega3290P"), _T("-mmcu=atmega3290p"), category);
+    m_Options.AddOption(_("ATmega406"), _T("-mmcu=atmega406"), category);
+    m_Options.AddOption(_("ATmega64"), _T("-mmcu=atmega64"), category);
+    m_Options.AddOption(_("ATmega640"), _T("-mmcu=atmega640"), category);
+    m_Options.AddOption(_("ATmega644"), _T("-mmcu=atmega644"), category);
+    m_Options.AddOption(_("ATmega644P"), _T("-mmcu=atmega644p"), category);
+    m_Options.AddOption(_("ATmega645"), _T("-mmcu=atmega645"), category);
+    m_Options.AddOption(_("ATmega6450"), _T("-mmcu=atmega6450"), category);
+    m_Options.AddOption(_("ATmega649"), _T("-mmcu=atmega649"), category);
+    m_Options.AddOption(_("ATmega6490"), _T("-mmcu=atmega6490"), category);
+    m_Options.AddOption(_("ATmega128"), _T("-mmcu=atmega128"), category);
+    m_Options.AddOption(_("ATmega1280"), _T("-mmcu=atmega1280"), category);
+    m_Options.AddOption(_("ATmega1281"), _T("-mmcu=atmega1281"), category);
+    m_Options.AddOption(_("ATmega16HVA"), _T("-mmcu=atmega16hva"), category);
+    m_Options.AddOption(_("AT90CAN32"), _T("-mmcu=at90can32"), category);
+    m_Options.AddOption(_("AT90CAN64"), _T("-mmcu=at90can64"), category);
+    m_Options.AddOption(_("AT90CAN128"), _T("-mmcu=at90can128"), category);
+    m_Options.AddOption(_("AT90USB82"), _T("-mmcu=at90usb82"), category);
+    m_Options.AddOption(_("AT90USB162"), _T("-mmcu=at90usb162"), category);
+    m_Options.AddOption(_("AT90USB646"), _T("-mmcu=at90usb646"), category);
+    m_Options.AddOption(_("AT90USB647"), _T("-mmcu=at90usb647"), category);
+    m_Options.AddOption(_("AT90USB1286"), _T("-mmcu=at90usb1286"), category);
+    m_Options.AddOption(_("AT90USB1287"), _T("-mmcu=at90usb1287"), category);
+    m_Options.AddOption(_("AT94K"), _T("-mmcu=at94k"), category);
     m_Options.AddOption(_("Output instruction sizes to the asm file"), _T("-msize"), category);
     m_Options.AddOption(_("Initial stack address"), _T("-minit-stack=N"), category);
     m_Options.AddOption(_("Disable interrupts"), _T("-mno-interrupts"), category);
